---
search:
  tags:
    - Attribute Templates V2
    - GET
seo:
  description: >-
    Gets a single attribute template… Reference for the GET
    /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id} endpoint in
    the Management API v2.
sidebar:
  label: Get attribute template
  badge: GET
title: Get attribute template
type: openapi-operation
---
Gets a single attribute template including its fields. Attributes are listed from the attributes endpoint, filtered by attribute-template-id.

`GET /api/v2/{team_slug}/{app_slug}/attribute-templates/{template_id}`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "key": "string",
    "type": "string",
    "filterable": true,
    "translatable": true,
    "resources": [
      "string"
    ],
    "fields": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "key": "string",
        "type": "string",
        "updated_at": "2019-08-24T14:15:22Z",
        "created_at": "2019-08-24T14:15:22Z"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
```
